# Generated by Django 4.0 on 2022-04-26 09:34

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('codex', '0013_alter_paragraph_options_image_user_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='InterviewRole',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=512)),
            ],
        ),
        migrations.AddField(
            model_name='text',
            name='comment',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='text',
            name='date',
            field=models.DateField(default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name='InterviewParticipant',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='codex.person')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='codex.interviewrole')),
                ('text', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participants', to='codex.text')),
            ],
        ),
        migrations.AddField(
            model_name='text',
            name='location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='codex.place'),
        ),
    ]
